%define anolis_release 3

%global pypi_name ipywidgets

Name:           python-%{pypi_name}
Version:        8.0.6
Release:        %{anolis_release}%{?dist}
Summary:        IPython HTML widgets for Jupyter

License:        BSD
URL:            http://ipython.org
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks and the IPython kernel.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}
sed -i "/jupyterlab_widgets/d" setup.cfg

# Fix for ipython 8.11.0
# reported and proposed upstream
# https://github.com/jupyter-widgets/ipywidgets/issues/3711
sed -i "/Zm9vYmFy/s/\\\n//" ipywidgets/widgets/tests/test_widget_output.py

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}

%changelog
* Tue May 27 2025 wh02252983 <wh02252983@alibaba-inc.com> - 8.0.6-3
- Rebuild with python-tornado

* Wed Mar 27 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 8.0.6-2
- Rebuild with python3.11

* Sun May 07 2023 Funda Wang <fundawang@yeah.net> - 8.0.6-1
- Import package for anolis 23
